org.eclipse.ui.wizards.datatransfer

## Class RecursiveFileFinder

- java.lang.Object
- - org.eclipse.ui.wizards.datatransfer.RecursiveFileFinder

All Implemented Interfaces:
  IResourceVisitor

    public class RecursiveFileFinder
    extends Object
    implements IResourceVisitor

A simple resource visitor that allows to find one or more files by name in a `IContainer`

Since:
  3.12

### Constructor Summary

Constructors
Constructor and Description
`RecursiveFileFinder(String fileName, Set<IPath> ignoredDirectories)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IFile` `getFile()`
`Set<IFile>` `getFiles()`
`boolean` `visit(IResource res)` Visits the given resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecursiveFileFinder

    public RecursiveFileFinder(String fileName,
                               Set<IPath> ignoredDirectories)

Parameters:
  `fileName` - the name of the file to look for
  `ignoredDirectories` - which directories are excluded from research. Sub-directories will get ignored too.

### Method Detail

#### visit

    public boolean visit(IResource res)

Description copied from interface: `IResourceVisitor`
Visits the given resource.

Specified by:
  `visit` in interface `IResourceVisitor`
Parameters:
  `res` - the resource to visit
Returns:
  `true` if the resource's members should be visited; `false` if they should be skipped

#### getFile

    public IFile getFile()

Returns:
  the first found file with right name

#### getFiles

    public Set<IFile> getFiles()

Returns:
  All found files